.bmd-form-group, .form-group{
    padding-top: 0rem;
    margin-bottom: 1.875rem; //30px;
}

.bmd-form-group .form-control,
.form-control{
    height: 3.125rem; // 50px
    line-height: 3.125rem;
    padding-top: 0;
    padding-bottom: 0;
    color: #666;

    &:focus{
        outline: 0;
        box-shadow: none;
    }

    @include media-breakpoint-down(sm){
        height: 2.5rem;
        line-height: 2.5rem;
        font-size: $font-size-sm;
        
        &::placeholder{
            font-size: $font-size-sm;
        }
    }
}

textarea.form-control,
.bmd-form-group textarea.form-control{
    height: auto;
    line-height: 1.5;
    padding-top: 16px;
    padding-bottom: 9px;
    display: block;
    box-sizing: padding-box;
    overflow: hidden;

    @include media-breakpoint-down(sm){
        padding-top: 9px;
        padding-bottom: 10px;
    }
}

label.has-danger{
    display: block;
    font-size: 13px;
    color: $danger;
    line-height: 1.2;
    margin-top: 5px;
    margin-bottom: -20px;

    @include media-breakpoint-down(sm){
        margin-bottom: -16px;
    }
}

.bmd-label-floating + .form-control{    
    padding-top: .375rem; //6px

    @include media-breakpoint-down(sm){
        padding-top: 0;
    }

    @include media-breakpoint-down(xs){
        padding-top: .25rem; // 4px
    }
}

.bmd-form-group {
    .checkbox, .radio, &{
        label{
            @include media-breakpoint-down(sm){
                font-size: $font-size-sm;
            }
        }
    }

    .bmd-label-floating, 
    .bmd-label-placeholder{
        left: 0;
        top: 1.25rem; // 20px;

        @include media-breakpoint-down(sm){
            top: .8125rem;
        }

        @include media-breakpoint-down(xs){
            top: .9375rem;
        }
    }
}

.is-focused, .is-filled {
    .bmd-label-floating{
        top: 0; 

        @include media-breakpoint-down(sm){
            top: -.3125rem; // 5px
        }
    }

    &.has-danger{
        label{
            color: $danger;
        }
    }
}

[class^='bmd-label'], [class*=' bmd-label']{
    color: #666;
}
.is-filled{
    [class^='bmd-label'], [class*=' bmd-label']{
        color: #999;
    }
}

.is-focused{
    [class^='bmd-label'], [class*=' bmd-label']{
        color: $primary;
    }
}
.input-group-text{
    border: 0;
}

.input-group{
    position: relative;

    .form-control{
        padding-left: 26px;
    }
}

.input-group-prepend{
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    margin-top: auto;
    margin-bottom: auto;
    width: 26px;
    overflow: hidden;
}

.form{
    &__success{
        display: none;
    }

    &--success{
        &::before{
            content: "";
            height: 12px;
            width: 100%;
            position: absolute;
            left: 0;
            top: 0;
            background: url("../../images/strips.png") 0 0 repeat-x;
        }

        .form__success{
            display: block;
        }

        .form__inner{
            display: none;
        }
    }
}

.form-inline{
    vertical-align: top;
    align-items:start;
}

.file-input{
    cursor: pointer;
    margin-bottom: 0;

    input{
        display: none;
    }

    &__label{
        color: #666;
        margin: 0 0 10px;
        text-decoration: none;
        vertical-align: middle;

        @include media-breakpoint-down(sm){
            font-size: $font-size-sm;
        }

        &.withFile + .file-input__close-icon{
            display: inline-block;
        }
    }

    &__icon{
        position: relative;
        top: -2px;
        fill: #666;
        width: 24px;
        height: 24px;
        margin-right: 15px;
        vertical-align: middle;
    }

    &__close-icon{
        display: none;
        stroke: #666;
        width: 8px;
        height: 8px;
        margin-left: 8px;
    }
}

.g-recaptcha{
    margin-top: 40px;
    margin-bottom: 40px;

    @include media-breakpoint-down(xs){
        margin-top: 20px;
        margin-bottom: 20px;
        transform: scale(.92);
        transform-origin: 0 0;
    }
    
}